{% extends "styleguide2/simple_page.html" %}
{% load wagtailcore_tags widget_tweaks %}

{% block navbar %}
{% include 'styleguide2/includes/organisms/layout/navbar.html' with selected_item=page.get_menu_title %}
{% endblock %}

{% block header %}
{% include 'styleguide2/includes/organisms/header/simple_header.html' with title=page.title %}
{% endblock %}

{% block inner_content %}
  <div class="container--wide">
    {% for block in page.content_before %}
      {% include_block block with first=forloop.first block_id=block.id %}
    {% endfor %}

    <form
      class="
        flex flex-col gap-8

        {% if not page.root_page.content_is_full_width %}
          max-w-[100ch]
        {% else %}
          max-w-[100%]
        {% endif %}

        {% if page.root_page.content_is_centered %}
          mx-auto
        {% endif %}
      "
      action="{% pageurl page %}"
      method="post"
    >
      {% csrf_token %}

      {% for hidden_field in form.hidden_fields %}
        {{ hidden_field.errors }}
        {{ hidden_field }}
      {% endfor %}

      {% for field in form.visible_fields %}
        <div class="flex flex-col gap-2">
          {% if field.widget_type == "select" %}
            {% include "styleguide2/includes/atoms/form_fields/form_select.html" %}
          {% elif field.widget_type == "radioselect" %}
            {% include "styleguide2/includes/atoms/form_fields/form_radio.html" %}
          {% elif field.widget_type == "selectmultiple" %}
            {% include "styleguide2/includes/atoms/form_fields/form_multiselect.html" %}
          {% elif field.widget_type == "text" %}
            {% include "styleguide2/includes/atoms/form_fields/form_text.html" %}
          {% elif field.widget_type == "textarea" %}
            {% include "styleguide2/includes/atoms/form_fields/form_textarea.html" %}
          {% elif field.widget_type == "email" %}
            {% include "styleguide2/includes/atoms/form_fields/form_email.html" %}
          {% elif field.widget_type == "number" %}
            {% include "styleguide2/includes/atoms/form_fields/form_number.html" %}
          {% elif field.widget_type == "url" %}
            {% include "styleguide2/includes/atoms/form_fields/form_url.html" %}
          {% elif field.widget_type == "checkbox" %}
            {% include "styleguide2/includes/atoms/form_fields/form_checkbox.html" %}
          {% elif field.widget_type == "checkboxselectmultiple" %}
            {% include "styleguide2/includes/atoms/form_fields/form_checkbox_multiple.html" %}
          {% elif field.widget_type == "date" %}
            {% include "styleguide2/includes/atoms/form_fields/form_date.html" %}
          {% elif field.widget_type == "datetime" %}
            {% include "styleguide2/includes/atoms/form_fields/form_datetime.html" %}
          {% elif field.widget_type == "captchatext" %}
            {% include "styleguide2/includes/atoms/form_fields/form_captcha.html" %}
          {% else %}
            {{ field.widget_type }}
          {% endif %}

          {% if field.help_text %}
            <label
              class="text-grey-250 text-sm"
              for="{{ field.id_for_label }}"
            >{{ field.help_text }}</label>
          {% endif %}

          {% if field.errors %}
            <div class="form-field__error">{{ field.errors }}</div>
          {% endif %}
        </div>
      {% endfor %}

      {% include "styleguide2/includes/atoms/buttons/round_button_form.html" with show_arrow_on_hover=True text="Odeslat" %}
    </form>

    {% for block in page.content_after %}
      {% include_block block with block_id=block.id %}
    {% endfor %}
  </div>
{% endblock %}
